Platform API (v5)
Download OpenAPI specification:Download
The Talroo Platform API provides programmatic management of many of the objects that are available in the Talroo Ad Platform (TAP). This API allows our TAP customers the ability to customize their experience a little bit by building their own applications that pull in only the data that they're interested in seeing or integrating TAP data with their existing applications. While TAP has many more features, the Platform API exposes lower-level flexibility to manage objects when you want and how you want.
Get AppClients
Authorizations:
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=name,asc Sorting criteria (more info) |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": "string",
- "name": "string",
- "accessTokenExpirySeconds": 300,
- "createdAt": "1970-01-01T00:00Z",
- "scopes": [
- "string"
], - "secret": "string"
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Create an AppClient
Authorizations:
Request Body schema: application/jsonrequired
| name | string App Client name |
| accessTokenExpirySeconds | integer <int32> How long App Client generated tokens are valid before expiring |
| scopes | Array of strings App Client scopes |
Responses
Request samples
- Payload
{- "name": "string",
- "accessTokenExpirySeconds": 0,
- "scopes": [
- "string"
]
}Response samples
- 200
{- "id": "string",
- "name": "string",
- "accessTokenExpirySeconds": 300,
- "createdAt": "1970-01-01T00:00Z",
- "scopes": [
- "string"
], - "secret": "string"
}Get scopes available to an AppClient
Authorizations:
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of any Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "name": "string",
- "title": "string",
- "description": "string",
- "enabled": true
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Recommend the CPC based on the volume
Authorizations:
Request Body schema: application/jsonrequired
| title required | string Job title |
| company required | string Company name |
| zipcodes required | Array of strings A list of zipcodes. Each zipcode is a string. |
| description | string Job description |
Responses
Request samples
- Payload
{- "title": "string",
- "company": "string",
- "zipcodes": [
- "string"
], - "description": "string"
}Response samples
- 200
{- "cpc": 0.1,
- "cpa": 0.1
}Recommend the CPC based on the budget
Authorizations:
Request Body schema: application/jsonrequired
| title required | string Job title |
| company required | string Company name |
| zipcodes required | Array of strings A list of zipcodes. Each zipcode is a string. |
| budget required | number <float> Monthly budget |
| description | string Job description |
Responses
Request samples
- Payload
{- "title": "string",
- "company": "string",
- "zipcodes": [
- "string"
], - "budget": 0.1,
- "description": "string"
}Response samples
- 200
{- "cpc": 0.1
}Predict the number of applications and the number of clicks for jobs
Authorizations:
Request Body schema: application/jsonrequired
| title required | string Job title |
| company required | string Company name |
| price required | number <float> Either a CPC or target CPA, in cents |
| priceType required | string Enum: "cpc" "target_cpa" The type for price attribute. The value is either cpc or target_cpa. |
| zipcodes required | Array of strings A list of zipcodes. Each zipcode is a string. |
| description | string Job description |
Responses
Request samples
- Payload
[- {
- "title": "string",
- "company": "string",
- "price": 0.1,
- "priceType": "cpc",
- "zipcodes": [
- "string"
], - "description": "string"
}
]Response samples
- 200
[- {
- "numApplications": 0.1,
- "numClicks": 0.1
}
]Get my Companies
Authorizations:
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "name": "string",
- "customLogoUrl": "string",
- "logoExpire": "2019-08-24T14:15:22Z"
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Get all Disposition Types
Authorizations:
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of any Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
| search | any Filtering criteria (more info) |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "name": "string",
- "displayName": "string",
- "description": "string",
- "eventCategory": "string"
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Get Categories
Authorizations:
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": "string",
- "description": "string",
- "indication": "MAJOR_INDUSTRY"
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Get Pause Reasons
Authorizations:
query Parameters
| search | string Filtering criteria (more info) |
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "description": "string"
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Get Applications by Segment ID
Authorizations:
path Parameters
| segmentId required | integer <int32> |
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
| expand | Array of strings unique Default: "" Items Enum: "qualifyingQuestionAnswers" "resume" |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "tlrApplicationId": "string",
- "job": {
- "jobId": 0,
- "sourceId": 0,
- "jobReference": "string",
- "originalJobReference": "string",
- "company": "string",
- "title": "string",
- "zipcode": "string",
- "city": "string",
- "state": "stri"
}, - "applicant": {
- "firstName": "string",
- "lastName": "string",
- "phone": "string",
- "emailAddress": "string",
- "address": "string",
- "city": "string",
- "state": "string",
- "zipcode": "string",
- "country": "string",
- "userAgent": "string"
}, - "resume": {
- "fileName": "string",
- "contentType": "string",
- "contentSha256": "string",
- "data": "string"
}, - "applicationTime": "1970-01-01T00:00Z",
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "tlrSid": "string",
- "questionsAndAnswers": [
- {
- "applicationId": 0,
- "id": 0,
- "customerQuestionId": "string",
- "answer": {
- "valueAsText": "string",
- "fieldNames": null,
- "array": true,
- "fields": null,
- "null": true,
- "elements": null,
- "number": true,
- "int": true,
- "long": true,
- "double": true,
- "bigDecimal": true,
- "bigInteger": true,
- "numberType": "BIG_DECIMAL",
- "decimalValue": 0,
- "doubleValue": 0.1,
- "intValue": 0,
- "longValue": 0,
- "bigIntegerValue": 0,
- "valueNode": true,
- "containerNode": true,
- "missingNode": true,
- "object": true,
- "pojo": true,
- "integralNumber": true,
- "floatingPointNumber": true,
- "textual": true,
- "boolean": true,
- "binary": true,
- "numberValue": 0,
- "booleanValue": true,
- "binaryValue": "string",
- "valueAsInt": 0,
- "valueAsLong": 0,
- "valueAsDouble": 0.1,
- "valueAsBoolean": true,
- "textValue": "string"
}, - "question": {
- "id": "string",
- "type": "date",
- "question": "string",
- "text": "string",
- "options": [
- {
- "label": "string",
- "value": "string",
- "correct": true
}
], - "hierarchicalOptions": [
- {
- "id": "string",
- "question": "string",
- "options": [
- {
- "label": null,
- "value": null,
- "correct": null
}
], - "required": true,
- "type": "date",
- "format": "decimal",
- "condition": {
- "id": "string",
- "value": "string"
}
}
], - "required": true,
- "format": "decimal",
- "correct": "string",
- "limit": 0,
- "min": "string",
- "max": "string",
- "condition": {
- "id": "string",
- "value": "string"
}, - "questions": [
- { }
], - "repeated": true
}, - "questionIndex": 0,
- "fileStatus": "FAILURE"
}
], - "qualified": true,
- "qualifyingQuestionAnswers": [
- {
- "questionText": "string",
- "answers": [
- "string"
]
}
], - "redirectUrl": "string",
- "campaignId": 0,
- "segmentId": 0
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Get Applications
Authorizations:
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
| expand | Array of strings unique Default: "" Items Enum: "qualifyingQuestionAnswers" "resume" |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "tlrApplicationId": "string",
- "job": {
- "jobId": 0,
- "sourceId": 0,
- "jobReference": "string",
- "originalJobReference": "string",
- "company": "string",
- "title": "string",
- "zipcode": "string",
- "city": "string",
- "state": "stri"
}, - "applicant": {
- "firstName": "string",
- "lastName": "string",
- "phone": "string",
- "emailAddress": "string",
- "address": "string",
- "city": "string",
- "state": "string",
- "zipcode": "string",
- "country": "string",
- "userAgent": "string"
}, - "resume": {
- "fileName": "string",
- "contentType": "string",
- "contentSha256": "string",
- "data": "string"
}, - "applicationTime": "1970-01-01T00:00Z",
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "tlrSid": "string",
- "questionsAndAnswers": [
- {
- "applicationId": 0,
- "id": 0,
- "customerQuestionId": "string",
- "answer": {
- "valueAsText": "string",
- "fieldNames": null,
- "array": true,
- "fields": null,
- "null": true,
- "elements": null,
- "number": true,
- "int": true,
- "long": true,
- "double": true,
- "bigDecimal": true,
- "bigInteger": true,
- "numberType": "BIG_DECIMAL",
- "decimalValue": 0,
- "doubleValue": 0.1,
- "intValue": 0,
- "longValue": 0,
- "bigIntegerValue": 0,
- "valueNode": true,
- "containerNode": true,
- "missingNode": true,
- "object": true,
- "pojo": true,
- "integralNumber": true,
- "floatingPointNumber": true,
- "textual": true,
- "boolean": true,
- "binary": true,
- "numberValue": 0,
- "booleanValue": true,
- "binaryValue": "string",
- "valueAsInt": 0,
- "valueAsLong": 0,
- "valueAsDouble": 0.1,
- "valueAsBoolean": true,
- "textValue": "string"
}, - "question": {
- "id": "string",
- "type": "date",
- "question": "string",
- "text": "string",
- "options": [
- {
- "label": "string",
- "value": "string",
- "correct": true
}
], - "hierarchicalOptions": [
- {
- "id": "string",
- "question": "string",
- "options": [
- {
- "label": null,
- "value": null,
- "correct": null
}
], - "required": true,
- "type": "date",
- "format": "decimal",
- "condition": {
- "id": "string",
- "value": "string"
}
}
], - "required": true,
- "format": "decimal",
- "correct": "string",
- "limit": 0,
- "min": "string",
- "max": "string",
- "condition": {
- "id": "string",
- "value": "string"
}, - "questions": [
- { }
], - "repeated": true
}, - "questionIndex": 0,
- "fileStatus": "FAILURE"
}
], - "qualified": true,
- "qualifyingQuestionAnswers": [
- {
- "questionText": "string",
- "answers": [
- "string"
]
}
], - "redirectUrl": "string",
- "campaignId": 0,
- "segmentId": 0
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Get Applications by Campaign ID
Authorizations:
path Parameters
| campaignId required | integer <int32> |
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
| expand | Array of strings unique Default: "" Items Enum: "qualifyingQuestionAnswers" "resume" |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "tlrApplicationId": "string",
- "job": {
- "jobId": 0,
- "sourceId": 0,
- "jobReference": "string",
- "originalJobReference": "string",
- "company": "string",
- "title": "string",
- "zipcode": "string",
- "city": "string",
- "state": "stri"
}, - "applicant": {
- "firstName": "string",
- "lastName": "string",
- "phone": "string",
- "emailAddress": "string",
- "address": "string",
- "city": "string",
- "state": "string",
- "zipcode": "string",
- "country": "string",
- "userAgent": "string"
}, - "resume": {
- "fileName": "string",
- "contentType": "string",
- "contentSha256": "string",
- "data": "string"
}, - "applicationTime": "1970-01-01T00:00Z",
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "tlrSid": "string",
- "questionsAndAnswers": [
- {
- "applicationId": 0,
- "id": 0,
- "customerQuestionId": "string",
- "answer": {
- "valueAsText": "string",
- "fieldNames": null,
- "array": true,
- "fields": null,
- "null": true,
- "elements": null,
- "number": true,
- "int": true,
- "long": true,
- "double": true,
- "bigDecimal": true,
- "bigInteger": true,
- "numberType": "BIG_DECIMAL",
- "decimalValue": 0,
- "doubleValue": 0.1,
- "intValue": 0,
- "longValue": 0,
- "bigIntegerValue": 0,
- "valueNode": true,
- "containerNode": true,
- "missingNode": true,
- "object": true,
- "pojo": true,
- "integralNumber": true,
- "floatingPointNumber": true,
- "textual": true,
- "boolean": true,
- "binary": true,
- "numberValue": 0,
- "booleanValue": true,
- "binaryValue": "string",
- "valueAsInt": 0,
- "valueAsLong": 0,
- "valueAsDouble": 0.1,
- "valueAsBoolean": true,
- "textValue": "string"
}, - "question": {
- "id": "string",
- "type": "date",
- "question": "string",
- "text": "string",
- "options": [
- {
- "label": "string",
- "value": "string",
- "correct": true
}
], - "hierarchicalOptions": [
- {
- "id": "string",
- "question": "string",
- "options": [
- {
- "label": null,
- "value": null,
- "correct": null
}
], - "required": true,
- "type": "date",
- "format": "decimal",
- "condition": {
- "id": "string",
- "value": "string"
}
}
], - "required": true,
- "format": "decimal",
- "correct": "string",
- "limit": 0,
- "min": "string",
- "max": "string",
- "condition": {
- "id": "string",
- "value": "string"
}, - "questions": [
- { }
], - "repeated": true
}, - "questionIndex": 0,
- "fileStatus": "FAILURE"
}
], - "qualified": true,
- "qualifyingQuestionAnswers": [
- {
- "questionText": "string",
- "answers": [
- "string"
]
}
], - "redirectUrl": "string",
- "campaignId": 0,
- "segmentId": 0
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Get an Application by ID
Authorizations:
path Parameters
| applicationId required | integer <int32> |
query Parameters
| expand | Array of strings unique Default: "" Items Enum: "qualifyingQuestionAnswers" "resume" |
Responses
Response samples
- 200
{- "id": 0,
- "tlrApplicationId": "string",
- "job": {
- "jobId": 0,
- "sourceId": 0,
- "jobReference": "string",
- "originalJobReference": "string",
- "company": "string",
- "title": "string",
- "zipcode": "string",
- "city": "string",
- "state": "stri"
}, - "applicant": {
- "firstName": "string",
- "lastName": "string",
- "phone": "string",
- "emailAddress": "string",
- "address": "string",
- "city": "string",
- "state": "string",
- "zipcode": "string",
- "country": "string",
- "userAgent": "string"
}, - "resume": {
- "fileName": "string",
- "contentType": "string",
- "contentSha256": "string",
- "data": "string"
}, - "applicationTime": "1970-01-01T00:00Z",
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "tlrSid": "string",
- "questionsAndAnswers": [
- {
- "applicationId": 0,
- "id": 0,
- "customerQuestionId": "string",
- "answer": {
- "valueAsText": "string",
- "fieldNames": null,
- "array": true,
- "fields": null,
- "null": true,
- "elements": null,
- "number": true,
- "int": true,
- "long": true,
- "double": true,
- "bigDecimal": true,
- "bigInteger": true,
- "numberType": "BIG_DECIMAL",
- "decimalValue": 0,
- "doubleValue": 0.1,
- "intValue": 0,
- "longValue": 0,
- "bigIntegerValue": 0,
- "valueNode": true,
- "containerNode": true,
- "missingNode": true,
- "object": true,
- "pojo": true,
- "integralNumber": true,
- "floatingPointNumber": true,
- "textual": true,
- "boolean": true,
- "binary": true,
- "numberValue": 0,
- "booleanValue": true,
- "binaryValue": "string",
- "valueAsInt": 0,
- "valueAsLong": 0,
- "valueAsDouble": 0.1,
- "valueAsBoolean": true,
- "textValue": "string"
}, - "question": {
- "id": "string",
- "type": "date",
- "question": "string",
- "text": "string",
- "options": [
- {
- "label": "string",
- "value": "string",
- "correct": true
}
], - "hierarchicalOptions": [
- {
- "id": "string",
- "question": "string",
- "options": [
- {
- "label": "string",
- "value": "string",
- "correct": true
}
], - "required": true,
- "type": "date",
- "format": "decimal",
- "condition": {
- "id": "string",
- "value": "string"
}
}
], - "required": true,
- "format": "decimal",
- "correct": "string",
- "limit": 0,
- "min": "string",
- "max": "string",
- "condition": {
- "id": "string",
- "value": "string"
}, - "questions": [
- { }
], - "repeated": true
}, - "questionIndex": 0,
- "fileStatus": "FAILURE"
}
], - "qualified": true,
- "qualifyingQuestionAnswers": [
- {
- "questionText": "string",
- "answers": [
- "string"
]
}
], - "redirectUrl": "string",
- "campaignId": 0,
- "segmentId": 0
}Get JobCampaigns by JobPool
Authorizations:
path Parameters
| poolId required | integer <int32> Job Pool ID |
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
| report | Array of strings Items Enum: "EVENTS" "JOBS" "POOL" "SCHEDULING" "SPENDING" "SURVEY_STATUS" |
| expand | Array of strings unique Default: "" Items Enum: "events" "jobs" "scheduling" "spending" "surveyStatus" |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Create a JobCampaign
Authorizations:
path Parameters
| poolId required | integer <int32> Job Pool ID |
Request Body schema: application/jsonrequired
| name required | string Job Campaign name |
| basicCpc | integer <int32> CPC used by Talroo Apply and Talroo Basic campaigns |
| monthlyBudget required | number The monthly recurring budget for the campaign |
| jobBudgetType required | string Enum: "MONTHLY" "NONE" Enable and set job level budget type |
| jobBudgetDefault required | number Default job level budget |
| applyOrder | integer <int32> Order (descending) in which campaigns have their job filters applied to remaining jobs within the pool |
object (ConfigQuery) Filter jobs into this campaign based on various job object fields | |
| targetCpa | integer <int32> Goal CPA used by campaigns utilizing the Target CPA bidding strategy |
| talrooApply | boolean Boolean indicating whether this is a Talroo Apply campaign |
| emailAddress | string Email address to which Talroo Apply applicants and Talroo Event RSVP reports will be sent, when applicable |
| otherEmailAddresses required | Array of strings Additional email addresses to receive Talroo Apply New Applicant and Event RSVP emails, when applicable |
| talrooApplySkipResume required | boolean Talroo Apply Only: [Optional] Boolean indicating whether applicants will be prompted to submit a resume as part of the Talroo Apply application |
| talrooApplyReqResume required | boolean Talroo Apply Only: [Optional] Boolean indicating whether a resume is required as part of the Talroo Apply application |
| talrooApplySendUnqualified required | boolean Talroo Apply Only: [Optional] Boolean indicating whether we forward data for unqualified Talroo Apply applications |
| talrooApplyRedir required | boolean Talroo Apply Only: [Optional] Feature to automatically redirect applicants to the job's URL after applying |
| budgetPacing required | boolean Whether this campaign is utilizing the automatic budget pacing mechanism |
| extendBudgetPacing required | boolean Whether this campaign continues to use budget pacing after the pacingDom |
| pacingDom required | integer <int8> When using budget pacing, apply pacing to the campaign's budget until this day of the month |
| minCpc required | integer <int32> Minimum cost per click for this Job Campaign |
| talrooProCpc | integer <int32> CPC used by Talroo Pro campaigns |
| talrooPro | string Enum: "OFF" "ON" Boolean indicating whether this is a Talroo Pro campaign |
| adType required | string Enum: "EVENT" "JOB" Campaign Ad Type that denotes whether this is a Standard Job Campaign or a Hiring Event campaign |
| eventStartDt | string <date> Hiring Events Only: [Required] Event start date |
| eventEndDt | string <date> Hiring Events Only: [Required] Event end date |
| eventLocation | string Hiring Events Only: [Required] Physical address, or URL if online, where event will take place |
| eventType | string Enum: "IN_PERSON" "ONLINE" Hiring Events Only: [Required] Whether this is an in-person or online event |
| eventTimes | string Hiring Events Only: [Required] Formatted times of the event |
| eventTimeslot required | integer <int8> Hiring Events Only: [Optional] Length of timeslots in minutes (30 or 60 are supported). When set, this will require users to RSVP to specific timeslots |
| eventTimeslotLimit | integer <int32> Hiring Events Only: [Optional] Limits the amount of RSVPs that can be made for a single timeslot |
| eventCustomTy | string Hiring Events Only: [Optional] Custom thank you message to show users after they RSVP |
| eventPrepare | string Hiring Events Only: [Optional] Verbiage around how users should prepare for the event after they RSVP |
| eventWear | string Hiring Events Only: [Optional] Verbiage around what users should wear to the event |
| fullTargetCpa required | boolean Boolean indicating whether this campaign is allowed to bid up on high converting traffic. HIGHLY RECOMMENDED TO BE SET TO TRUE |
| targetCpaType | string Enum: "CAMPAIGN" "CAMPAIGN_FIXED" "JOB" "JOB_FIXED" "NONE" Target CPA Only: Field to indicate what type of Target CPA campaign this is |
| autopilot | boolean Boolean indicating whether this campaign is utilizing our Autopilot bidding strategy |
| autopilotMaxCpc | integer <int32> Maximum CPC that can be set when using our Autopilot bidding strategy |
required | object Additional Field object to be used with integrations. Please reach out to your Talroo POC for options |
| talrooFeaturedType required | string Enum: "AI_ALWAYS_ON" "ALWAYS_ON" "ALWAYS_ON_ABSOLUTE" "CPC_BASED" "J2C_ALWAYS_ON" "J2C_CPC_BASED" "OFF" Enum indicating if this campaign is a Talroo Featured campaign |
| talrooApplyPro required | boolean Boolean indicating if this campaign is a Talroo Apply Pro campaign |
| sendReminders required | string Enum: "OFF" "ON" Boolean indicating whether this campaign sends reminders for unfinished applications |
| reminderType required | string Enum: "BOTH" "EMAIL" "NONE" "SMS" Enum indicating how this campaign sends reminders for unfinished applications |
| applicationLinkOverride | string The job application link override for a campaign |
| addressQuestion required | string Enum: "OFF" "OPTIONAL" "REQUIRED" Whether we add an address question to the Talroo Apply application form |
| workExperienceQuestions required | string Enum: "OFF" "OPTIONAL" "OPTIONAL_IF_NO_RESUME" "REQUIRED" "REQUIRE_IF_NO_RESUME" Whether we add work experience questions to the Talroo Apply application form |
| educationHistoryQuestions required | string Enum: "OFF" "OPTIONAL" "OPTIONAL_IF_NO_RESUME" "REQUIRED" "REQUIRE_IF_NO_RESUME" Whether we add education history questions to the Talroo Apply application form |
| enableAutoArchive required | boolean Whether this campaign is eligible for auto archival |
| autoArchiveAt | string <date-time> The timestamp at which the campaign should be automatically archived |
| useSmartCpc | boolean Flag indicating usage of recommended cpc api to set the bid on jobs filtered into this campaign |
| candidateTier | string Enum: "ET" "FT" "ST" The minimum tier of candidate targeting for this campaign |
object Candidate tier settings with multiplier and source parameter for each tier |
Responses
Request samples
- Payload
{- "name": "string",
- "basicCpc": 0,
- "monthlyBudget": 0,
- "jobBudgetType": "MONTHLY",
- "jobBudgetDefault": 0,
- "applyOrder": 0,
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "targetCpa": 0,
- "talrooApply": true,
- "emailAddress": "string",
- "otherEmailAddresses": [
- "string"
], - "talrooApplySkipResume": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplyRedir": true,
- "budgetPacing": true,
- "extendBudgetPacing": true,
- "pacingDom": 0,
- "minCpc": 0,
- "talrooProCpc": 0,
- "talrooPro": "OFF",
- "adType": "EVENT",
- "eventStartDt": "1970-01-01",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventType": "IN_PERSON",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 0,
- "eventCustomTy": "string",
- "eventPrepare": "string",
- "eventWear": "string",
- "fullTargetCpa": true,
- "targetCpaType": "CAMPAIGN",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooApplyPro": true,
- "sendReminders": "OFF",
- "reminderType": "BOTH",
- "applicationLinkOverride": "string",
- "addressQuestion": "OFF",
- "workExperienceQuestions": "OFF",
- "educationHistoryQuestions": "OFF",
- "enableAutoArchive": true,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "useSmartCpc": true,
- "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}
}Response samples
- 200
{- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}Set a JobCampaign to Paused
Authorizations:
path Parameters
| campaignId required | integer <int32> Talroo Job Campaign ID |
query Parameters
| reasonId | integer <int32> [Optional] Pause Reason ID. See Enum - Pause Reasons |
Responses
Response samples
- 200
{- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}Set a JobCampaign to Live
Authorizations:
path Parameters
| campaignId required | integer <int32> Talroo Job Campaign ID |
Responses
Response samples
- 200
{- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}Create a new JobCampaign from an existing JobCampaign
Authorizations:
path Parameters
| campaignId required | integer <int32> Talroo Job Campaign ID |
Request Body schema: application/jsonrequired
| name required | string New name for the Job Campaign copy |
| poolId required | integer <int32> Job Pool ID to put the new Job Campaign copy under |
Responses
Request samples
- Payload
{- "name": "string",
- "poolId": 0
}Response samples
- 200
{- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}Archive a JobCampaign
Authorizations:
path Parameters
| campaignId required | integer <int32> Talroo Job Campaign ID |
Responses
Response samples
- 200
{- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}Get a JobCampaign by ID
Authorizations:
path Parameters
| campaignId required | integer <int32> Talroo Job Campaign ID |
query Parameters
| report | Array of strings Items Enum: "EVENTS" "JOBS" "POOL" "SCHEDULING" "SPENDING" "SURVEY_STATUS" |
| expand | Array of strings unique Default: "" Items Enum: "events" "jobs" "scheduling" "spending" "surveyStatus" |
Responses
Response samples
- 200
{- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}Update a JobCampaign
Authorizations:
path Parameters
| campaignId required | integer <int32> Talroo Job Campaign ID |
Request Body schema: application/jsonrequired
| name | string Job Campaign name |
| basicCpc | integer <int32> CPC used by Talroo Apply and Talroo Basic campaigns |
| monthlyBudget | number The monthly recurring budget for the campaign |
| jobBudgetType | string Enum: "MONTHLY" "NONE" Enable and set job level budget type |
| jobBudgetDefault | number Default job level budget |
| applyOrder | integer <int32> Order (descending) in which campaigns have their job filters applied to remaining jobs within the pool |
object (ConfigQuery) Filter jobs into this campaign based on various job object fields | |
| targetCpa | integer <int32> Goal CPA used by campaigns utilizing the Target CPA bidding strategy |
| talrooApply | boolean Boolean indicating whether this is a Talroo Apply campaign |
| emailAddress | string Email address to which Talroo Apply applicants and Talroo Event RSVP reports will be sent, when applicable |
| otherEmailAddresses | Array of strings Additional email addresses to receive Talroo Apply New Applicant and Event RSVP emails, when applicable |
| talrooApplySkipResume | boolean Talroo Apply Only: [Optional] Boolean indicating whether applicants will be prompted to submit a resume as part of the Talroo Apply application |
| talrooApplyReqResume | boolean Talroo Apply Only: [Optional] Boolean indicating whether a resume is required as part of the Talroo Apply application |
| talrooApplySendUnqualified | boolean Talroo Apply Only: [Optional] Boolean indicating whether we forward data for unqualified Talroo Apply applications |
| talrooApplyRedir | boolean Talroo Apply Only: [Optional] Feature to automatically redirect applicants to the job's URL after applying |
| budgetPacing | boolean Whether this campaign is utilizing the automatic budget pacing mechanism |
| extendBudgetPacing | boolean Whether this campaign continues to use budget pacing after the pacingDom |
| pacingDom | integer <int8> When using budget pacing, apply pacing to the campaign's budget until this day of the month |
| minCpc | integer <int32> Minimum cost per click for this Job Campaign |
| talrooProCpc | integer <int32> CPC used by Talroo Pro campaigns |
| talrooPro | string Enum: "OFF" "ON" Boolean indicating whether this is a Talroo Pro campaign |
| eventStartDt | string <date> Hiring Events Only: [Required] Event start date |
| eventEndDt | string <date> Hiring Events Only: [Required] Event end date |
| eventLocation | string Hiring Events Only: [Required] Physical address, or URL if online, where event will take place |
| eventType | string Enum: "IN_PERSON" "ONLINE" Hiring Events Only: [Required] Whether this is an in-person or online event |
| eventTimes | string Hiring Events Only: [Required] Formatted times of the event |
| eventTimeslot | integer <int8> Hiring Events Only: [Optional] Length of timeslots in minutes (30 or 60 are supported). When set, this will require users to RSVP to specific timeslots |
| eventTimeslotLimit | integer <int32> Hiring Events Only: [Optional] Limits the amount of RSVPs that can be made for a single timeslot |
| eventCustomTy | string Hiring Events Only: [Optional] Custom thank you message to show users after they RSVP |
| eventPrepare | string Hiring Events Only: [Optional] Verbiage around how users should prepare for the event after they RSVP |
| eventWear | string Hiring Events Only: [Optional] Verbiage around what users should wear to the event |
| fullTargetCpa | boolean Boolean indicating whether this campaign is allowed to bid up on high converting traffic. HIGHLY RECOMMENDED TO BE SET TO TRUE |
| targetCpaType | string Enum: "CAMPAIGN" "CAMPAIGN_FIXED" "JOB" "JOB_FIXED" "NONE" Target CPA Only: Field to indicate what type of Target CPA campaign this is |
| autopilot | boolean Boolean indicating whether this campaign is utilizing our Autopilot bidding strategy |
| autopilotMaxCpc | integer <int32> Maximum CPC that can be set when using our Autopilot bidding strategy |
object Additional Field object to be used with integrations. Please reach out to your Talroo POC for options | |
| talrooFeaturedType | string Enum: "AI_ALWAYS_ON" "ALWAYS_ON" "ALWAYS_ON_ABSOLUTE" "CPC_BASED" "J2C_ALWAYS_ON" "J2C_CPC_BASED" "OFF" Enum indicating if this campaign is a Talroo Featured campaign |
| talrooApplyPro | boolean Boolean indicating if this campaign is a Talroo Apply Pro campaign |
| sendReminders | string Enum: "OFF" "ON" Boolean indicating whether this campaign sends reminders for unfinished applications |
| reminderType | string Enum: "BOTH" "EMAIL" "NONE" "SMS" Enum indicating how this campaign sends reminders for unfinished applications |
| applicationLinkOverride | string The job application link override for a campaign |
| addressQuestion | string Enum: "OFF" "OPTIONAL" "REQUIRED" Whether we add an address question to the Talroo Apply application form |
| workExperienceQuestions | string Enum: "OFF" "OPTIONAL" "OPTIONAL_IF_NO_RESUME" "REQUIRED" "REQUIRE_IF_NO_RESUME" Whether we add work experience questions to the Talroo Apply application form |
| educationHistoryQuestions | string Enum: "OFF" "OPTIONAL" "OPTIONAL_IF_NO_RESUME" "REQUIRED" "REQUIRE_IF_NO_RESUME" Whether we add education history questions to the Talroo Apply application form |
| enableAutoArchive | boolean Whether this campaign is eligible for auto archival |
| autoArchiveAt | string <date-time> The timestamp at which the campaign should be automatically archived |
| useSmartCpc | boolean Flag indicating usage of recommended cpc api to set the bid on jobs filtered into this campaign |
| candidateTier | string Enum: "ET" "FT" "ST" The minimum tier of candidate targeting for this campaign |
object Candidate tier settings with multiplier and source parameter for each tier |
Responses
Request samples
- Payload
{- "name": "string",
- "basicCpc": 0,
- "monthlyBudget": 0,
- "jobBudgetType": "MONTHLY",
- "jobBudgetDefault": 0,
- "applyOrder": 0,
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "targetCpa": 0,
- "talrooApply": true,
- "emailAddress": "string",
- "otherEmailAddresses": [
- "string"
], - "talrooApplySkipResume": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplyRedir": true,
- "budgetPacing": true,
- "extendBudgetPacing": true,
- "pacingDom": 0,
- "minCpc": 0,
- "talrooProCpc": 0,
- "talrooPro": "OFF",
- "eventStartDt": "1970-01-01",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventType": "IN_PERSON",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 0,
- "eventCustomTy": "string",
- "eventPrepare": "string",
- "eventWear": "string",
- "fullTargetCpa": true,
- "targetCpaType": "CAMPAIGN",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooApplyPro": true,
- "sendReminders": "OFF",
- "reminderType": "BOTH",
- "applicationLinkOverride": "string",
- "addressQuestion": "OFF",
- "workExperienceQuestions": "OFF",
- "educationHistoryQuestions": "OFF",
- "enableAutoArchive": true,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "useSmartCpc": true,
- "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}
}Response samples
- 200
{- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}Get my JobCampaigns
Authorizations:
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
| report | Array of strings Items Enum: "EVENTS" "JOBS" "POOL" "SCHEDULING" "SPENDING" "SURVEY_STATUS" |
| expand | Array of strings unique Default: "" Items Enum: "events" "jobs" "scheduling" "spending" "surveyStatus" |
| subCustomerId | integer <int32> |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "poolId": 0,
- "name": "string",
- "status": "ARCHIVED",
- "adType": "EVENT",
- "additionalFields": {
- "property1": "string",
- "property2": "string"
}, - "addressQuestion": "OFF",
- "applicationLinkOverride": "string",
- "applyOrder": 0,
- "autoArchiveAt": "1970-01-01T00:00Z",
- "autopilot": true,
- "autopilotMaxCpc": 0,
- "basicCpc": 0,
- "budgetPacing": true,
- "campaignQuestions": [
- {
- "id": 0,
- "templateId": 0,
- "templateName": "string",
- "questionSetId": 0,
- "setName": "string"
}
], - "candidateTier": "ET",
- "candidateTierSettings": {
- "property1": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}, - "property2": {
- "multiplier": 1.5,
- "sourceParam": "utm_source=talroo_ft"
}
}, - "createdAt": "1970-01-01T00:00Z",
- "dailyCapResetTime": "00:00Z",
- "dailyCapped": true,
- "dailyCappedTime": "1970-01-01T00:00Z",
- "educationHistoryQuestions": "OFF",
- "emailAddress": "string",
- "enableAutoArchive": true,
- "eventCustomTy": "string",
- "eventEndDt": "1970-01-01",
- "eventLocation": "string",
- "eventPrepare": "string",
- "eventStartDt": "1970-01-01",
- "eventTimes": "string",
- "eventTimeslot": 0,
- "eventTimeslotLimit": 1,
- "eventType": "IN_PERSON",
- "eventWear": "string",
- "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "extendBudgetPacing": true,
- "fullTargetCpa": true,
- "jobBudgetDefault": 0,
- "jobBudgetType": "MONTHLY",
- "jobFilters": {
- "jobReference": [
- "string"
], - "zipCode": [
- "string"
], - "city": [
- "string"
], - "title": [
- "string"
], - "description": [
- "string"
], - "companyId": [
- 0
], - "advertiserId": [
- "string"
], - "majorCategory": [
- "string"
], - "minorCategory": [
- "string"
], - "srcCampId": [
- "string"
], - "srcSegId": [
- "string"
], - "stateId": [
- 0
], - "created": {
- "from": 90,
- "to": 0
}, - "targetCpa": {
- "lower": 0,
- "upper": 0
}, - "cpc": {
- "lower": 0,
- "upper": 0
}, - "hasSmartScreeners": true,
- "requiredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "preferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}, - "requiredOrPreferredQualifications": {
- "items": [
- 0
], - "type": "EXCLUDE"
}
}, - "jobs": {
- "totalJobs": 0
}, - "minCpc": 0,
- "modifiedAt": "1970-01-01T00:00Z",
- "monthlyBudget": 0,
- "mtdSpend": 0,
- "oneTimeBudgetDollars": 0,
- "otherEmailAddresses": [
- "string"
], - "pacingDom": 0,
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0,
- "pool": {
- "id": 0,
- "name": "string",
- "customer": {
- "id": 0,
- "name": "string",
- "jobApplicationQuestionsEnabled": true
}, - "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "reminderType": "BOTH",
- "report": {
- "jobs": {
- "totalJobs": 0
}, - "events": {
- "totalRSVPs": 0,
- "todayRSVPs": 0
}, - "pool": {
- "id": 0,
- "name": "string",
- "customerId": 0,
- "revenueType": "ALLIANCE",
- "isCpa": true,
- "thirdPartyIntegration": {
- "name": "string",
- "type": "ADECCO_INTEGRATION",
- "acceptedResumeFileTypes": [
- "string"
], - "additionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "poolAdditionalFields": [
- {
- "dataType": "DATETIME",
- "clientPattern": "string",
- "adminOnly": true,
- "required": true,
- "name": "string",
- "displayName": "string"
}
], - "appliesToAdType": "EVENT",
- "isAts": true,
- "sendsResumeTo3PI": true
}, - "cpaBitmap": { },
- "requiredQualifyingQuestionSetIds": [
- 0
]
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "scheduling": {
- "scheduledPauses": [
- {
- "id": 0,
- "campaignId": 0,
- "segmentId": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "pauseOn": "1970-01-01",
- "pauseReason": {
- "id": 0,
- "description": "string"
}, - "pauseReasonId": 0
}
], - "monthlyBudgetChanges": [
- {
- "id": 0,
- "campaignId": 0,
- "absolute": true,
- "applyOn": "1970-01-01",
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "errorMessage": "string",
- "failed": true,
- "modifiedAt": "1970-01-01T00:00Z"
}
], - "oneTimeBudgets": [
- {
- "id": 0,
- "campaignId": 0,
- "budgetCents": 0,
- "completed": true,
- "createdAt": "1970-01-01T00:00Z",
- "end": "1970-01-01",
- "launchOnStart": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "rollover": true,
- "start": "1970-01-01",
- "started": true
}
]
}, - "sendReminders": "OFF",
- "spending": {
- "yesterday": 0
}, - "surveyStatus": {
- "surveyStatus": {
- "dirty": true,
- "pushedAt": "1970-01-01T00:00Z",
- "externalSurvey": true
}
}, - "talrooApply": true,
- "talrooApplyPro": true,
- "talrooApplyRedir": true,
- "talrooApplyReqResume": true,
- "talrooApplySendUnqualified": true,
- "talrooApplySkipResume": true,
- "talrooFeaturedType": "AI_ALWAYS_ON",
- "talrooPro": "OFF",
- "talrooProCpc": 0,
- "targetCpa": 0,
- "targetCpaType": "CAMPAIGN",
- "totalBudgetDollars": 0,
- "useSmartCpc": true,
- "workExperienceQuestions": "OFF"
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Response samples
- 200
{- "id": 0,
- "name": "string",
- "ccEmailAddress": "string",
- "createdAt": "1970-01-01T00:00Z",
- "emailAddress": "string",
- "features": {
- "property1": true,
- "property2": true
}, - "jobApplicationQuestionsEnabled": true,
- "modifiedAt": "1970-01-01T00:00Z",
- "sigmaEmbedUrl": "string",
- "sigmaPreSignedEmbedUrl": "string",
- "test": true
}Get Job Expansions by Job Reference
Authorizations:
path Parameters
| sourceId required | integer <int32> |
| jobReference required | string |
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "sourceId": 0,
- "title": "string",
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "lastImported": "1970-01-01T00:00Z",
- "jobFilters": {
- "jobReference": [
- "string"
], - "title": [
- "string"
]
}
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Create a Job Expansion Deprecated
Authorizations:
path Parameters
| sourceId required | integer <int32> |
| jobReference required | string |
Request Body schema: application/jsonrequired
| title required | string Job title for this Job Expansion |
object (JobExpansionFilter) JobExpansionFilter object containing a list of job references and job titles upon which to match jobs for expansion |
Responses
Request samples
- Payload
{- "title": "string",
- "jobFilters": {
- "jobReference": [
- "string"
], - "title": [
- "string"
]
}
}Response samples
- 200
{- "id": 0,
- "sourceId": 0,
- "title": "string",
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "lastImported": "1970-01-01T00:00Z",
- "jobFilters": {
- "jobReference": [
- "string"
], - "title": [
- "string"
]
}
}Get Job Expansions by Source ID
Authorizations:
path Parameters
| sourceId required | integer <int32> |
query Parameters
| page | number >= 0 Default: 0 Zero-based page index (0..N) |
| size | number >= 1 Default: 20 The size of the page to be returned |
| sort | Array of strings Example: sort=id,asc Sorting criteria (more info) |
| search | string Filtering criteria (more info) |
Responses
Response samples
- 200
{- "size": 0,
- "content": [
- {
- "id": 0,
- "sourceId": 0,
- "title": "string",
- "createdAt": "1970-01-01T00:00Z",
- "modifiedAt": "1970-01-01T00:00Z",
- "lastImported": "1970-01-01T00:00Z",
- "jobFilters": {
- "jobReference": [
- "string"
], - "title": [
- "string"
]
}
}
], - "number": 0,
- "totalPages": 0,
- "totalElements": 0
}Create a Job Expansion
[...]
